# OnApplicationStopped class final

Annotation to mark a method that should run when the application has fully stopped.

This can be used for final cleanup tasks, notifications, or logging that happens after all resources have been released.

The only acceptable method signatures are:

- No-Arg: The method should not accept any arguments.
- One-Arg: The method should accept a single argument of type `ApplicationContext`.

### Example

    class MyApp {
      @OnApplicationStopped()
      void afterStop() {
        print("Application has stopped completely.");
      }

      @OnApplicationStopped()
      void afterStopWithContext(ApplicationContext context) {
        print("Application has stopped completely.");
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - OnApplicationStopped
Annotations
  - @Target({TargetKind.method})

## Constructors

OnApplicationStopped.new()
  Annotation to mark a method that should run when the application has fully stopped.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited